'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var PrevNext = function PrevNext(_ref) {
  var page = _ref.page,
      previousText = _ref.previousText,
      nextText = _ref.nextText;

  if (!(page.next || page.prev)) {
    return _react2.default.createElement('div', { className: 'prevnext' });
  }

  // XXX: make sure page spans whole container if it's the only one
  var style = {
    width: '100%'
  };
  if (page.next && page.prev) {
    style = {};
  }

  return _react2.default.createElement(
    'div',
    { className: 'prevnext' },
    page.prev ? _react2.default.createElement(
      'div',
      { className: 'prevnext__prev', style: style },
      _react2.default.createElement('div', {
        className: 'prevnext__bg',
        style: {
          backgroundImage: 'url(' + page.prev.headerImage + ')'
        }
      }),
      _react2.default.createElement(
        'span',
        { className: 'prevnext__info' },
        previousText
      ),
      _react2.default.createElement(
        'a',
        { className: 'prevnext__link', href: '/' + page.prev.url },
        page.prev.title
      )
    ) : null,
    page.next ? _react2.default.createElement(
      'div',
      { className: 'prevnext__next', style: style },
      _react2.default.createElement('div', {
        className: 'prevnext__bg',
        style: {
          backgroundImage: 'url(' + page.next.headerImage + ')'
        }
      }),
      _react2.default.createElement(
        'span',
        { className: 'prevnext__info' },
        nextText
      ),
      _react2.default.createElement(
        'a',
        { className: 'prevnext__link', href: '/' + page.next.url },
        page.next.title
      )
    ) : null
  );
};

exports.default = PrevNext;